<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <title>PHP For Windows: Binaries and sources Releases</title>

        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

        <link type="text/css" media="screen" rel="stylesheet" href="/styles/screen.css" />
        <link type="text/css" media="print" rel="stylesheet" href="/styles/print.css" />
        <link type="text/css" media="handfield" rel="stylesheet" href="/styles/handfield.css" />

        <link rel="icon" href="https://windows.php.net/favicon.ico" type="image/x-icon" />
    </head>

    <body id="homepage">
        <ul id="root">
            <li id="header">
                <div class="content">
                    <h1><a href="https://windows.php.net/index.php">PHP: Hypertext Preprocessor</a></h1>
                </div><!-- .content -->
            </li><!-- .header-->

            <li id="main-menu">
                <ul id="top-navigation">
                    <li><a href="https://windows.php.net">Home</a></li>
                    <li><a href="https://windows.php.net/download/">Downloads</a></li>
                    <li><a href="https://windows.php.net/qa/">QA Releases</a></li>
                    <li><a href="https://windows.php.net/snapshots/">Snapshots</a></li>
                    <li><a href="https://windows.php.net/team/">Team</a></li>
                    <li class="last"><a href="http://www.php.net">PHP.net site</a></li>
                </ul>
            </li><!-- .main-menu-->
            <li id="news-line"><!-- #news-line -->
            </li><!-- #news-line -->            <li id="content">
                <ul id="content-columns">
                    <li id="left-column">
                        <div class="content">
                        
                            <div class="block"><!-- .block -->
                                <span class="corners-top"><span></span></span>

                                <div class="info"><!-- .info -->

                                    <h3>PHP For Windows</h3>
                                    <p>
                                    This site is dedicated to supporting PHP on Microsoft Windows. 
                                    It also supports ports of PHP extensions or features as well as 
                                    providing special builds for the various Windows architectures.</p>
                                    <p>
                                    If you like to build your own PHP binaries, instructions can be found on the 
                                    <a href="https://wiki.php.net/internals/windows/stepbystepbuild">Wiki</a>.
                                    </p>

                                </div><!-- .info -->

                                <span class="corners-bottom"><span></span></span>
                            </div><!-- .block -->

                            <div class="block"><!-- .block -->
                                <span class="corners-top"><span></span></span>

                                <div class="info"><!-- .info -->

                                    <h3>PECL For Windows</h3>
                                    <p>
                                    <a href="http://pecl.php.net">PECL extensions</a> for Windows is being worked on.
                                    Windows DLL can be downloaded right from the <a href="http://pecl.php.net">PECL website</a>.
				    <br /><br />

                                    The PECL extension 
                                    <a href="https://windows.php.net/downloads/pecl/releases/">release</a> and
                                    <a href="https://windows.php.net/downloads/pecl/snaps/">snapshot</a> build directories are browsable
				    directly.
                                    </p>

                                </div><!-- .info -->

                                <span class="corners-bottom"><span></span></span>
                            </div><!-- .block -->

                            <div class="block"><!-- .block -->
                                <span class="corners-top"><span></span></span>

                                <div class="info"><!-- .info -->

                                    <h3>Which version do I choose?</h3> <br/>

									<h4><u>IIS</u></h4>
									<p>If you are using PHP as FastCGI with IIS you should use the Non-Thread Safe (NTS) versions of PHP.</p>

									<h4><u>Apache</u></h4>
									<p>Please use the Apache builds provided by <a href="http://apachelounge.com">Apache Lounge</a>.
									They provide VC15 and VS16 builds of Apache for x86 and x64.
									We use their binaries to build the Apache SAPIs.</p>

									<p>With Apache, using the apache2handler SAPI, you have to use the Thread Safe (TS) versions of PHP.</p>

									<h4><u>VC15 &amp; VS16</u></h4>
									<p>More recent versions of PHP are built with VC15 or VS16 (Visual Studio 2017 or 2019 compiler respectively) and 
									include improvements in performance and stability.</p>

									<p> - The VC15 and VS16 builds require to have the <i>Visual C++ Redistributable for Visual Studio 2015-2019</i> <a href="https://aka.ms/vs/16/release/VC_redist.x64.exe">x64</a> or <a href="https://aka.ms/vs/16/release/VC_redist.x86.exe">x86</a> installed</p>

									<h4><u>TS and NTS</u></h4>
									<p><strong>TS</strong> refers to multithread capable builds. <strong>NTS</strong> refers to single thread only builds. Use case for <strong>TS</strong> binaries involves interaction with
									a multithreaded <strong>SAPI</strong> and PHP loaded as a module into a web server. For <strong>NTS</strong> binaries the widespread use case is interaction with a web server through
									the FastCGI protocol, utilizing no multithreading (but also for example CLI).</p>
									
									<h4><u>What is PGO?</u></h4>
									<p><a href="http://msdn.microsoft.com/en-us/library/e7k32f4k%28v=vs.110%29.aspx" target="_blank">Profile Guided Optimization</a> is an optimization
									feature available in Microsoft's Visual C++ compiler that allows you to optimize an output file based on profiling data collected during test runs of the application or module.<p>
									<p><strong>Links:</strong></p>
									<ul>
										<li><a href="http://msdn.microsoft.com/en-us/library/e7k32f4k%28v=vs.110%29.aspx" target="_blank">PGO on MSDN</a></li>
										<li><a href="https://devblogs.microsoft.com/cppblog/speed-up-windows-php-performance-using-profile-guided-optimization-pgo/" target="_blank">Visual C++ Team Blog - PGO with PHP</a></li>
										<li><a href="http://www.ksingla.net/2010/05/php-pgo-build-for-maximum-performance-on-windows/" target="_blank">PHP PGO build for maximum performance</a> (old)</li>
									</ul>

									<a name="x64"> </a>
									<h4><u>amd64 (x86_64) Builds</u></h4>
									<p><strong>PHP 7 provides full 64-bit support.</strong> The x64 builds of PHP 7 support native 64-bit integers, LFS, 64-bit memory_limit and much more.</p>

									<a name="long_path"></a>
									<h4><u>Long and multibyte path</u></h4>
									<p><strong>PHP 7.1+ supports long and UTF-8 paths.</strong> See the <a href="http://php.net/manual/en/migration71.windows-support.php">manual</a> for details.</p>

									<br/>

                                </div><!-- .info -->

                                <span class="corners-bottom"><span></span></span>
                            </div><!-- .block -->

                            <div class="block"><!-- .block -->
                                <span class="corners-top"><span></span></span>

                                <div class="info"><!-- .info -->

                                    <h3>Archives</h3>
                                    <p>
                                    Past releases are available from our <a href="https://windows.php.net/downloads/releases/archives/">archives</a>, older versions 
                                    not found there can be found at the <a href="http://museum.php.net/">Museum</a>.
                                    </p>

                                </div><!-- .info -->

                                <span class="corners-bottom"><span></span></span>
                            </div><!-- .block -->




                        </div> <!-- .content -->
                    </li><!-- #left-column -->
                    <li id="main-column">

                        <div class="content">
                            <div class="adv-block"><!-- .adv-block -->
                                <span class="corners-top"><span></span></span>
                                
                                <div class="info entry"><!-- .info -->
                                    <h2 name="top" id="top">Binaries and sources Releases</h2>
                                    
                                    <select onchange="window.location.hash=this.options[this.selectedIndex].value">
                                        <option value="top" selected="true">Select an option to direct access...</option>
	<optgroup label="php--7.4">
		<option value="php-7.4-nts-vc15-x64">VC15 x64 Non Thread Safe</option>
		<option value="php-7.4-ts-vc15-x64">VC15 x64 Thread Safe</option>
		<option value="php-7.4-nts-vc15-x86">VC15 x86 Non Thread Safe</option>
		<option value="php-7.4-ts-vc15-x86">VC15 x86 Thread Safe</option>
	</optgroup>
	<optgroup label="php--7.3">
		<option value="php-7.3-nts-VC15-x64">VC15 x64 Non Thread Safe</option>
		<option value="php-7.3-ts-VC15-x64">VC15 x64 Thread Safe</option>
		<option value="php-7.3-nts-VC15-x86">VC15 x86 Non Thread Safe</option>
		<option value="php-7.3-ts-VC15-x86">VC15 x86 Thread Safe</option>
	</optgroup>
	<optgroup label="php--7.2">
		<option value="php-7.2-nts-VC15-x64">VC15 x64 Non Thread Safe</option>
		<option value="php-7.2-ts-VC15-x64">VC15 x64 Thread Safe</option>
		<option value="php-7.2-nts-VC15-x86">VC15 x86 Non Thread Safe</option>
		<option value="php-7.2-ts-VC15-x86">VC15 x86 Thread Safe</option>
	</optgroup>

                                    </select>
                                    <br><br><a href="https://windows.php.net/downloads/releases/archives/">Past releases</a>
                                </div><!-- .info -->
                                
                                <span class="corners-bottom"><span></span></span>
                            </div><!-- .adv-block -->

	<div class="block">
	<span class="corners-top"><span></span></span>
	<div class="info entry"> 
	<h3 id="php-7.4" name="php-7.4" class="summary entry-title">PHP 7.4 (7.4.5)</h3>
	<p class="news-date"></p>
	<p><a href="/downloads/releases/php-7.4.5-src.zip">Download source code</a> [23.21MB]</p>

	<p><a href="/downloads/releases/php-test-pack-7.4.5.zip">Download tests package (phpt)</a> [13.34MB]</p>


		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.4-nts-vc15-x64" name="php-7.4-nts-vc15-x64">VC15 x64 Non Thread Safe (2020-Apr-14 22:48:35)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.4.5-nts-Win32-vc15-x64.zip">Zip</a>
		[24.79MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: b61f1cffdf0ec4e4dde54439abd5996780ed5dd11960a43ab0e3caf546128773</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.4.5-nts-Win32-vc15-x64.zip">Debug Pack</a>
		[21.94MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 77a111f726b1ea3de65ea36323599f184da4f9dc8ab5b51ee8f4863b7ee70b08</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.4.5-nts-Win32-vc15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.07MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: e4d26f3296485b1fdf04579bec6b033e71b823540c1ffccf11e391a8c123a844</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.4-ts-vc15-x64" name="php-7.4-ts-vc15-x64">VC15 x64 Thread Safe (2020-Apr-14 22:48:50)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.4.5-Win32-vc15-x64.zip">Zip</a>
		[24.9MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: 89f699dae7c67b164ddb9094a1383324b48814a42bbd222c771c0ff474eabf1b</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.4.5-Win32-vc15-x64.zip">Debug Pack</a>
		[21.94MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 029d4ae045ab6b9d2527081c118599c8133fcc01b7cc16775a8acbc95d7a931b</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.4.5-Win32-vc15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.07MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 4ea958b8b0a537e930cde8b8a10e5ec2664028f995c391439ba294bd8695119a</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.4-nts-vc15-x86" name="php-7.4-nts-vc15-x86">VC15 x86 Non Thread Safe (2020-Apr-14 22:48:40)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.4.5-nts-Win32-vc15-x86.zip">Zip</a>
		[23.09MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: c9605b7243fb62a08d07b4b7e6565d73afa43816c040d9234a7fd79c05571d24</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.4.5-nts-Win32-vc15-x86.zip">Debug Pack</a>
		[22.85MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: bee836a17e4ddb53ddeef4d8f6618c773e912f5f47716dcfd99eb9a28225964b</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.4.5-nts-Win32-vc15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.07MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 6296066a73515e1e70a8aea779a4aaad40c2ea4297e8c4e12c8a401076410e3e</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.4-ts-vc15-x86" name="php-7.4-ts-vc15-x86">VC15 x86 Thread Safe (2020-Apr-14 22:48:54)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.4.5-Win32-vc15-x86.zip">Zip</a>
		[23.06MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: 55ca2403eba15059ab9b2c9c3c339c1ffe098f85a0f1bba89fad0d2af3775a0c</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.4.5-Win32-vc15-x86.zip">Debug Pack</a>
		[22.52MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: b7e2c2123aa5aa1af1f69d73a188bc134d8ff5086e0873e9c945f7fe1ad991f0</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.4.5-Win32-vc15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.07MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 53a8365e3ac62b444e6d7929ed644e761f6950dfc693971567cc00130452f43f</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

				</div>
		<span class="corners-bottom"><span></span></span>
		</div> <!-- block -->
		<div class="block">
	<span class="corners-top"><span></span></span>
	<div class="info entry"> 
	<h3 id="php-7.3" name="php-7.3" class="summary entry-title">PHP 7.3 (7.3.17)</h3>
	<p class="news-date"></p>
	<p><a href="/downloads/releases/php-7.3.17-src.zip">Download source code</a> [27.05MB]</p>

	<p><a href="/downloads/releases/php-test-pack-7.3.17.zip">Download tests package (phpt)</a> [14.25MB]</p>


		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.3-nts-VC15-x64" name="php-7.3-nts-VC15-x64">VC15 x64 Non Thread Safe (2020-Apr-14 15:42:52)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.3.17-nts-Win32-VC15-x64.zip">Zip</a>
		[24.44MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: 9867cb9ff5e7762d19b76183ad81625e6012671f73ca83bdd2d8d1e9cb1eb4d1</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.3.17-nts-Win32-VC15-x64.zip">Debug Pack</a>
		[23.09MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 85ce26499c41fcc20efbb4433c000f531c9dffb5ef5c6e576ced7e711c329958</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.3.17-nts-Win32-VC15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.25MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 01245750f54819c41f570701d7ca3a8ddc2abccfbc79a12dfe557bcb551d4f6c</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.3-ts-VC15-x64" name="php-7.3-ts-VC15-x64">VC15 x64 Thread Safe (2020-Apr-14 15:43:01)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.3.17-Win32-VC15-x64.zip">Zip</a>
		[24.57MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: d4f8877b2ec13fa148c062e86b96f86b1d97b8ccaf832743343489e1f40fc081</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.3.17-Win32-VC15-x64.zip">Debug Pack</a>
		[23.17MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 23631ddd21997b1368d2b97a08e6bffe1adf6b61b2f4ee111df5f1952b5cd46b</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.3.17-Win32-VC15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.25MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 1f970fabeabe6f50a6b5cea435245984667648c6ab79eac3d97e903b03196a9c</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.3-nts-VC15-x86" name="php-7.3-nts-VC15-x86">VC15 x86 Non Thread Safe (2020-Apr-14 15:42:53)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.3.17-nts-Win32-VC15-x86.zip">Zip</a>
		[22.81MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: 25600fe13907e27215fe00e928ec59d211f63a919a93c569eb134b4d701d0b71</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.3.17-nts-Win32-VC15-x86.zip">Debug Pack</a>
		[23.98MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 61b5454bc8779196478e8824535a5d7ac7a029125accf95f8cde1ec7633171a3</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.3.17-nts-Win32-VC15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.25MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 0b8d3d5bb1657f1620f96d013c7105a55c4c2ddedb4ee498aea108cf256cec0b</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.3-ts-VC15-x86" name="php-7.3-ts-VC15-x86">VC15 x86 Thread Safe (2020-Apr-14 15:43:10)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.3.17-Win32-VC15-x86.zip">Zip</a>
		[22.88MB]<br />
<!--		<span class="md5sum">sha1: </span><br /> -->
		<span class="md5sum">sha256: 75e529722cc49e38926948e73081a9de9828537323fc4f303ad4ffcf16bcd5f5</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.3.17-Win32-VC15-x86.zip">Debug Pack</a>
		[24.04MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: 6f4b9732953b56de23289285e547735545610d56bb65b3a0cc87b89102276558</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.3.17-Win32-VC15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.25MB]<br />
<!--		<span class="md5sum">sha1: </span><br/ > -->
		<span class="md5sum">sha256: e3ea25c230a1055b31ed7f628f5a360d81ba23a13a2821d5559ded46087412f1</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

				</div>
		<span class="corners-bottom"><span></span></span>
		</div> <!-- block -->
		<div class="block">
	<span class="corners-top"><span></span></span>
	<div class="info entry"> 
	<h3 id="php-7.2" name="php-7.2" class="summary entry-title">PHP 7.2 (7.2.30)</h3>
	<p class="news-date"></p>
	<p><a href="/downloads/releases/php-7.2.30-src.zip">Download source code</a> [27.23MB]</p>

	<p><a href="/downloads/releases/php-test-pack-7.2.30.zip">Download tests package (phpt)</a> [14.34MB]</p>


		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.2-nts-VC15-x64" name="php-7.2-nts-VC15-x64">VC15 x64 Non Thread Safe (2020-Apr-15 12:18:52)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.2.30-nts-Win32-VC15-x64.zip">Zip</a>
		[24.9MB]<br />
<!--		<span class="md5sum">sha1: d74d44bad809dc21630590b4a85320ef3a1c079d</span><br /> -->
		<span class="md5sum">sha256: b5a39c8ee3657bbcf57f23fdeaaa7059517a644d80514526b5333f89d9c3b502</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.2.30-nts-Win32-VC15-x64.zip">Debug Pack</a>
		[23.16MB]<br />
<!--		<span class="md5sum">sha1: 3ec3f0ec2f2e4fd113fc988fc75d80cef1d3cce9</span><br/ > -->
		<span class="md5sum">sha256: 69efc87882a590f9e17c9ac32e69797527c055520cfb6300dc2cbc83c764a169</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.2.30-nts-Win32-VC15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.24MB]<br />
<!--		<span class="md5sum">sha1: 088d3a1ecfc09e9baa013a5bdeaca9601321c2c6</span><br/ > -->
		<span class="md5sum">sha256: ed16d42cdd68ee44300ad2e81554cc6428ee8bf89a82f3cc294f4624fd551400</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.2-ts-VC15-x64" name="php-7.2-ts-VC15-x64">VC15 x64 Thread Safe (2020-Apr-15 12:19:03)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.2.30-Win32-VC15-x64.zip">Zip</a>
		[25.04MB]<br />
<!--		<span class="md5sum">sha1: a4cb119ff06982d20f998fd94e73a4098fecca01</span><br /> -->
		<span class="md5sum">sha256: 8d053b8f4acdf061a4221badfabcb90fad1229ce4e1327965bf04ef470715ced</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.2.30-Win32-VC15-x64.zip">Debug Pack</a>
		[23.25MB]<br />
<!--		<span class="md5sum">sha1: a4b4878a00449d026df7e8dbd0072098d95165a4</span><br/ > -->
		<span class="md5sum">sha256: 2ec77071d5f3bc1c7442c16cd9ec3bee5561b9f5e08d9e34e16372e098be408a</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.2.30-Win32-VC15-x64.zip">Development package (SDK to develop PHP extensions)</a>
		[1.24MB]<br />
<!--		<span class="md5sum">sha1: c6ee3ef880fc611016889550c1f6c8adb82f736e</span><br/ > -->
		<span class="md5sum">sha256: 836bb9f0acb94aaa9b06bf94535b6c2290a97796453f5d4793141fc25df6d77d</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.2-nts-VC15-x86" name="php-7.2-nts-VC15-x86">VC15 x86 Non Thread Safe (2020-Apr-15 12:18:51)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.2.30-nts-Win32-VC15-x86.zip">Zip</a>
		[23.26MB]<br />
<!--		<span class="md5sum">sha1: ed752621d018434b6541a11b1b277a1c97a569b3</span><br /> -->
		<span class="md5sum">sha256: 8208de90f2bed370eda6c63ac3c41d9a198a71063d91eced28487308e14768a2</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.2.30-nts-Win32-VC15-x86.zip">Debug Pack</a>
		[24.05MB]<br />
<!--		<span class="md5sum">sha1: ea1da6e364be70fcf84e68c7e6d927a30684553c</span><br/ > -->
		<span class="md5sum">sha256: 34906b8bbcbf7b2aad4e3d33b0191a4994fb7418f9547bb016b544d6e7c01235</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.2.30-nts-Win32-VC15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.24MB]<br />
<!--		<span class="md5sum">sha1: a3671abe8732c6e6510ef285b4959ee71797d82b</span><br/ > -->
		<span class="md5sum">sha256: 35d751172fefa3f9f54896b5d420113431fc0fa0bb3d3651ae1159bb53a0729e</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

		
		<div class="innerbox">
		<span class="corners-top"><span></span></span>

		<h4 id="php-7.2-ts-VC15-x86" name="php-7.2-ts-VC15-x86">VC15 x86 Thread Safe (2020-Apr-15 12:19:08)</h4>
		<p>
		<ul>
		<li>
			<a href="/downloads/releases/php-7.2.30-Win32-VC15-x86.zip">Zip</a>
		[23.34MB]<br />
<!--		<span class="md5sum">sha1: b2df4cc8d63db3305d5bbda7bdb0341edb2b08fa</span><br /> -->
		<span class="md5sum">sha256: 7dc759d375ed70cca0873b1699cd881222fcd32059ab8d7b81afab81587087c4</span>
		</li>
		<li>
			<a href="/downloads/releases/php-debug-pack-7.2.30-Win32-VC15-x86.zip">Debug Pack</a>
		[24.17MB]<br />
<!--		<span class="md5sum">sha1: cab0161521d79001e65bf74e501ab019106b868f</span><br/ > -->
		<span class="md5sum">sha256: 3349b23ce9a22dda5c249f5b252b41e11eda01b5bd44c7cfe8f3779443174fee</span>
		</li>
		<li>
			<a href="/downloads/releases/php-devel-pack-7.2.30-Win32-VC15-x86.zip">Development package (SDK to develop PHP extensions)</a>
		[1.24MB]<br />
<!--		<span class="md5sum">sha1: 05663e9b7aabeb3b63b12cc34e07e444fd3d5731</span><br/ > -->
		<span class="md5sum">sha256: 1d1454381d9625cbffb17c40188a8b89904837d214db735f67312cf459937aa1</span>
		</li>
		</ul>
			</p>
			<span class="corners-bottom"><span></span></span>
			</div><!-- innerbox -->

				</div>
		<span class="corners-bottom"><span></span></span>
		</div> <!-- block -->
	
				    <p class="t-center">
				    </p>
				</div> <!-- .content -->
			    </li><!-- #main-column -->

			</ul> <!-- #content-columns -->
		    </li> <!-- #content -->

            <li id="footer">
                <span class="corners-top"><span></span></span>

                <div class="info">
                    <a href="http://www.php.net/copyright.php">Copyright &copy; 2001-2020 The PHP Group</a><br>
                    All rights reserved.
                </div>
                
                <span class="corners-bottom"><span></span></span>
            </li>
        </ul>
    </body>
</html>
